Mandrake Linux Security Advisory : samba (MDKSA-2007:104-1)

This script is Copyright (C) 2007-2015 Tenable Network Security, Inc.


Synopsis :

The remote Mandrake Linux host is missing one or more security
updates.

Description :

A number of bugs were discovered in the NDR parsing support in Samba
that is used to decode MS-RPC requests. A remote attacker could send a
carefully crafted request that would cause a heap overflow, possibly
leading to the ability to execute arbitrary code on the server
(CVE-2007-2446).

A remote authenticated user could trigger a flaw where unescaped user
input parameters were being passed as arguments to /bin/sh
(CVE-2007-2447).

Finally, on Samba 3.0.23d and higher, when Samba translated SID
to/from name using the Samba local list of user and group accounts, a
logic error in smbd's internal security stack could result in a
transition to the root user id rather than the non-root user
(CVE-2007-2444).

Update :

The fix for CVE-2007-2444 broke the behaviour of force group when the
forced group is a local Unix group for domain member servers.

This update corrects that regression.

Solution :

Update the affected packages.

Risk factor :

Critical / CVSS Base Score : 10.0
(CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 8.7
(CVSS2#E:ND/RL:OF/RC:C)
Public Exploit Available : true

Family: Mandriva Local Security Checks

Nessus Plugin ID: 25237 (mandrake_MDKSA-2007-104.nasl)

Bugtraq ID: 23972
23973
23974

CVE ID: CVE-2007-2444
CVE-2007-2446
CVE-2007-2447

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now